List sandbox pool hosts
curl --request GET \
--url https://api.ravion.com/execution-environments/{id}/sandbox-hosts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/execution-environments/{id}/sandbox-hosts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/execution-environments/{id}/sandbox-hosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"availabilityZone": "<string>",
"id": "<string>",
"instanceType": "<string>",
"launchedAt": "2023-11-07T05:31:56Z",
"live": {
"connected": true,
"cpuCapacity": 123,
"cpuUsed": 123,
"freeDiskMiB": 123,
"memoryCapacityMiB": 123,
"memoryUsedMiB": 123,
"sandboxCount": 123
},
"state": "RUNNING",
"lastUsedAt": "2023-11-07T05:31:56Z",
"parkedAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}ExecutionEnvironments
List sandbox pool hosts
Lists every EC2 instance provisioned for this environment’s sandbox pool, with what each is doing right now. GET /execution-environments//sandbox-hosts…
GET
/
execution-environments
/
{id}
/
sandbox-hosts
List sandbox pool hosts
Was this page helpful?